Package com.avaya.clientservices.media.gui

## Class BitmapLayer

- java.lang.Object
- - com.avaya.clientservices.media.gui.NativeObject
  - - com.avaya.clientservices.media.gui.BitmapLayer

- All Implemented Interfaces:
    `Destroyable`, `Positionable`, `Renderable`

      public class BitmapLayer
      extends NativeObject
      implements Positionable, Renderable

  Renders a bitmap at a given position within an opengl context. The bitmap will be loaded via:
  `GLUtils.texImage2D(int target, int level, Bitmap bitmap, int border)`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BitmapLayer()` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onDrawFrame​(double time)`
    `void` | `onSurfaceChanged​(int width, int height)`
    `void` | `onSurfaceCreated()`
    `void` | `setBitmap​(android.graphics.Bitmap bitmap)` | Sets the bitmap to be rendered.
    `void` | `setBounds​(int x, int y, int width, int height)`
    `void` | `setPosition​(int x, int y)`

    - ### Methods inherited from class com.avaya.clientservices.media.gui.NativeObject

      `destroy`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BitmapLayer

          public BitmapLayer()

      Constructor.

  - ### Method Detail

    - #### setBitmap

          public void setBitmap​(android.graphics.Bitmap bitmap)

      Sets the bitmap to be rendered. The bitmap will fill the bounds.
      Parameters:
        `bitmap` - The bitmap to be rendered.

    - #### setBounds

          public void setBounds​(int x,
                                int y,
                                int width,
                                int height)

      Specified by:
        `setBounds` in interface `Positionable`

    - #### setPosition

          public void setPosition​(int x,
                                  int y)

      Specified by:
        `setPosition` in interface `Positionable`

    - #### onSurfaceCreated

          public void onSurfaceCreated()

      Specified by:
        `onSurfaceCreated` in interface `Renderable`

    - #### onSurfaceChanged

          public void onSurfaceChanged​(int width,
                                       int height)

      Specified by:
        `onSurfaceChanged` in interface `Renderable`

    - #### onDrawFrame

          public void onDrawFrame​(double time)

      Specified by:
        `onDrawFrame` in interface `Renderable`